[arm]
@UNIXONLY@ PORT = 2087
HOSTNAME = localhost
BINARY = gnunet-service-arm
ACCEPT_FROM = 127.0.0.1;
ACCEPT_FROM6 = ::1;

# Special case, uses user runtime dir even for per-system service.
UNIXPATH = $GNUNET_USER_RUNTIME_DIR/gnunet-service-arm.sock
UNIX_MATCH_UID = YES
UNIX_MATCH_GID = YES

# In the "-l" option, format characters from 'strftime' are allowed;
# In the GLOBAL_POSTFIX, "{}" stands for the name of the respective
# service.  Thus the following option would introduce per-service
# logging with a new log file each day.  Note that only the last 3
# log files are preserved.
# GLOBAL_POSTFIX = -l $GNUNET_CACHE_HOME/{}-%Y-%m-%d.log
GLOBAL_PREFIX =

# By default, when launching GNUnet via gnunet-arm, log
# everything to a simple flat log file.
OPTIONS = -l $GNUNET_CACHE_HOME/gnunet-%Y-%m-%d.log

# If set to YES, ARM will only start services that are marked as
# system-level services (and we'll expect a second ARM to be
# run per-user to run user-level services).  Note that in this
# case you must have manually created a different configuration
# file with the user where at least this and the START_USER_SERVICES
# options differ.
# START_SYSTEM_SERVICES = YES

# If set to YES, ARM will only start services that are marked as
# per-user services (and we'll expect a system user to run ARM to
# provide system-level services).  Per-user services enable
# better personalization and  privilege separation and in particular
# ensures that personal data is stored under $HOME, which might
# be important in a multi-user system (or if $HOME is encrypted
# and /var/ is not).
#
# Note that if you have different ARM services for SYSTEM and USER,
# and you are not on UNIX, you need to change the PORT option for the
# USER ARM instances to some free port (counting down from 2085 should
# be sane).
#
# START_USER_SERVICES = YES

# File where we should log per-service resource consumption on exit.
# RESOURCE_DIAGNOSTICS = resource.log


# Name of the user that will be used to provide the service
# USERNAME =
# MAXBUF =
# TIMEOUT =
# DISABLEV6 =
# BINDTO =
# REJECT_FROM =
# REJECT_FROM6 =
# PREFIX =
